shield-halvedAdmin

Administrative endpoints for listing available LLM models and downloading prompt logs for debugging.

Administrative endpoints for platform configuration and debugging.

Get Available Models

Retrieve the list of LLM models currently supported by the Amigo platform. Use this to discover which models are available for configuring version sets.

Permission required: Admin:GetModels

Get models

get
/v1/{organization}/admin/get_models/

Get a list of LLM models supported by the Amigo platform at this moment.

Permissions:

This endpoint requires the following permissions:

  • Admin:GetModels.
Authorizations
AuthorizationstringRequired

The username should be set to {org_id}_{user_id}, and the password should be the Amigo issued JWT token that identifies the user.

AuthorizationstringRequired

Amigo issued JWT token that identifies an user. It's issued either after logging in through the frontend, or manually through the SignInWithAPIKey endpoint.

X-ORG-IDstringRequired

An optional organization identifier that indicates from which organization the token is issued. This is used in rare cases where the user to authenticate is making a request for resources in another organization.

Path parameters
organizationstringRequired
Header parameters
x-mongo-cluster-nameany ofOptional

The Mongo cluster name to perform this request in. This is usually not needed unless the organization does not exist yet in the Amigo organization infra config database.

stringOptional
or
nullOptional
Sec-WebSocket-Protocolstring[]OptionalDefault: []
Responses
chevron-right
200

Succeeded.

application/json
Other propertiesanyOptional
get
/v1/{organization}/admin/get_models/

Get Prompt Logs

Download rendered prompt logs for debugging and auditing. Returns a zip file containing system prompts and history prompts for all matching log keys produced in the past 30 days.

Permission required: Admin:GetPromptLogs

circle-exclamation

Each prompt log in the zip file contains up to two files:

File
Contents

{log_key}-system

The rendered system prompt

{log_key}-history

The rendered history prompts, separated by ---

Query parameters:

Parameter
Type
Required
Description

prompt_log_prefix

string

Yes

Prefix to match against log keys

Get prompt logs

get
/v1/{organization}/admin/get_prompt_logs/

Download all rendered prompt logs whose log keys match the supplied prefix that are produced in the past 30 days. Only prefixes corresponding to less than or equal to 1000 prompt logs are allowed. The prompt logs will be returned in a zip file format, with each prompt log corresponding to at most 2 files -- {log_key}-system for the rendered system prompt, and {log_key}-history for the rendered history prompts, where each history prompt is separated by ---.

If an error is encountered during the download stream that is scoped to an individual prompt log, a {log_key}-error file will be generated which contains a description of the error. If an error is encountered that causes the generation to stop completely, no error message will be returned. Instead, the stream will end, and the transmitted bytes wouldn't constitute a valid zip file.

Permissions

This endpoint may be impacted by the following permissions:

  • Each prompt log requires its own set of permissions. If the authenticated user does not have the required permissions, a {log_key}-error file will be generated in place of the actual prompt log.
Authorizations
AuthorizationstringRequired

The username should be set to {org_id}_{user_id}, and the password should be the Amigo issued JWT token that identifies the user.

AuthorizationstringRequired

Amigo issued JWT token that identifies an user. It's issued either after logging in through the frontend, or manually through the SignInWithAPIKey endpoint.

X-ORG-IDstringRequired

An optional organization identifier that indicates from which organization the token is issued. This is used in rare cases where the user to authenticate is making a request for resources in another organization.

Path parameters
organizationstringRequired
Query parameters
prompt_log_prefixstringRequired

The prefix of the prompt log to retrieve.

Header parameters
x-mongo-cluster-nameany ofOptional

The Mongo cluster name to perform this request in. This is usually not needed unless the organization does not exist yet in the Amigo organization infra config database.

stringOptional
or
nullOptional
Sec-WebSocket-Protocolstring[]OptionalDefault: []
Responses
chevron-right
200

Succeeded.

application/json
anyOptional
get
/v1/{organization}/admin/get_prompt_logs/

No content

Last updated

Was this helpful?